<?php declare(strict_types=1);

namespace App\ServiceResults\Private\Dashboard;

use App\Dto\Repository\CaptchaLogRepository\QuantityByDays;
use App\ServiceResults\ServiceResult;
use Illuminate\Support\Carbon;

final class ChartCaptchaActivity extends ServiceResult
{
    public function __construct(
        private readonly Carbon         $from,
        private readonly Carbon         $to,
        private readonly QuantityByDays $quantityByDays,
    ) { }

    public function getFrom(): Carbon
    {
        return $this->from;
    }

    public function getTo(): Carbon
    {
        return $this->to;
    }

    public function getQuantityByDays(): QuantityByDays
    {
        return $this->quantityByDays;
    }
}
